Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Interface AutocompleteEncodeStrategy

All Known Implementing Classes:
  AutocompleteDivLayoutStrategy, AutocompleteListLayoutStrategy, AutocompleteTableLayoutStrategy

    public interface AutocompleteEncodeStrategy

Method Summary
`void` | `encodeFakeItem(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` | `encodeItem(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` | `encodeItemBegin(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` | `encodeItemEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` | `encodeItemsContainerBegin(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` | `encodeItemsContainerEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`String` | `getContainerElementId(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`

Method Detail

### encodeItemsContainerBegin

    void encodeItemsContainerBegin(javax.faces.context.FacesContext facesContext,
                                   javax.faces.component.UIComponent component)
                                   throws IOException

  Throws:
    `IOException`

### encodeItemsContainerEnd

    void encodeItemsContainerEnd(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent component)
                                 throws IOException

  Throws:
    `IOException`

### encodeItemBegin

    void encodeItemBegin(javax.faces.context.FacesContext facesContext,
                         javax.faces.component.UIComponent component)
                         throws IOException

  Throws:
    `IOException`

### encodeItemEnd

    void encodeItemEnd(javax.faces.context.FacesContext facesContext,
                       javax.faces.component.UIComponent component)
                       throws IOException

  Throws:
    `IOException`

### encodeItem

    void encodeItem(javax.faces.context.FacesContext facesContext,
                    javax.faces.component.UIComponent component)
                    throws IOException

  Throws:
    `IOException`

### encodeFakeItem

    void encodeFakeItem(javax.faces.context.FacesContext facesContext,
                        javax.faces.component.UIComponent component)
                        throws IOException

  Throws:
    `IOException`

### getContainerElementId

    String getContainerElementId(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent component)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.